Loading...
Searching...
No Matches
devsettings::Modbus::Settings Struct Reference

Modbus service settings More...

## Public Attributes

TcpSettings | tcp
| Modbus/TCP settings
SerialSettings | serial
| Modbus/serial settings
int | primaryUnitId
| Main unit ID, 0 to disable. More...

## Detailed Description

Modbus service settings

## Member Data Documentation

## primaryUnitId

int devsettings::Modbus::Settings::primaryUnitId

Main unit ID, 0 to disable.

Note
  Models that act as a simple Modbus device will ignore this setting for TCP connections and respond to all unit IDs.

The documentation for this struct was generated from the following file:

- Modbus.idl